import { createAsyncThunk } from "@reduxjs/toolkit";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import axios from "axios";

export const dashboardGetMonitoringService = createAsyncThunk(
  "DASHBOARD_GET_MONITORING_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("dashboard_monitoring_view/", {
      params: {
        ...d,
      },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
export const dashboardGetMonitoringBarAndKillingService = createAsyncThunk(
  "DASHBOARD_GET_MONITORING_BAR_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "dashboard_monitoring_bar_and_killing",
      {
        params: {
          date1: d.date1,
          date2: d.date2,
          ...d,
        },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
